net.sf.jasperreports.engine.base

## Class JRBaseChartPlot

- java.lang.Object
- - net.sf.jasperreports.engine.base.JRBaseChartPlot

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, JRChangeEventsSupport, JRChartPlot, JRCloneable
  Direct Known Subclasses:
    JRBaseAreaPlot, JRBaseBar3DPlot, JRBaseBarPlot, JRBaseBubblePlot, JRBaseCandlestickPlot, JRBaseHighLowPlot, JRBaseLinePlot, JRBaseMeterPlot, JRBaseMultiAxisPlot, JRBasePie3DPlot, JRBasePiePlot, JRBaseScatterPlot, JRBaseThermometerPlot, JRBaseTimeSeriesPlot

      public abstract class JRBaseChartPlot
      extends java.lang.Object
      implements JRChartPlot, java.io.Serializable, JRChangeEventsSupport

  Version:
    $Id: JRBaseChartPlot.java 5878 2013-01-07 20:23:13Z teodord $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `JRBaseChartPlot.JRBaseSeriesColor`

    - ### Nested classes/interfaces inherited from interface net.sf.jasperreports.engine.JRChartPlot

      `JRChartPlot.JRSeriesColor`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.awt.Color` | `backcolor`
    `protected java.lang.Float` | `backgroundAlphaFloat`
    `protected JRChart` | `chart`
    `protected java.lang.Float` | `foregroundAlphaFloat`
    `protected java.lang.Double` | `labelRotationDouble`
    `protected PlotOrientationEnum` | `orientationValue`
    `static java.lang.String` | `PROPERTY_BACKCOLOR`
    `static java.lang.String` | `PROPERTY_BACKGROUND_ALPHA`
    `static java.lang.String` | `PROPERTY_FOREGROUND_ALPHA`
    `static java.lang.String` | `PROPERTY_LABEL_ROTATION`
    `static java.lang.String` | `PROPERTY_ORIENTATION`
    `static java.lang.String` | `PROPERTY_SERIES_COLORS`
    `protected java.util.SortedSet<JRChartPlot.JRSeriesColor>` | `seriesColors`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `JRBaseChartPlot(JRChartPlot plot, JRBaseObjectFactory factory)`
    `protected` | `JRBaseChartPlot(JRChartPlot plot, JRChart chart)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addSeriesColor(JRChartPlot.JRSeriesColor seriesColor)` Adds the specified series color to the plot.
    `void` | `clearSeriesColors()` Removes all defined series colors.
    `java.lang.Object` | `clone()`
    `java.lang.Object` | `clone(JRChart parentChart)`
    `java.awt.Color` | `getBackcolor()` Gets the chart background color.
    `java.lang.Float` | `getBackgroundAlphaFloat()` Gets the transparency factor for this plot background.
    `JRChart` | `getChart()` Gets the chart associated with this chart plot, if available.
    `JRPropertyChangeSupport` | `getEventSupport()` Returns the property change support object for this instance.
    `java.lang.Float` | `getForegroundAlphaFloat()` Gets the transparency factor for this plot foreground.
    `java.lang.Double` | `getLabelRotationDouble()` Deprecated. Replaced by `JRCategoryAxisFormat.getCategoryAxisTickLabelRotation()`.
    `org.jfree.chart.plot.PlotOrientation` | `getOrientation()` Deprecated. Replaced by `getOrientationValue()`.
    `PlotOrientationEnum` | `getOrientationValue()` Gets the plot orientation (horizontal or vertical).
    `java.awt.Color` | `getOwnBackcolor()`
    `java.util.SortedSet<JRChartPlot.JRSeriesColor>` | `getSeriesColors()` Returns a list of all the defined series colors.
    `void` | `setBackcolor(java.awt.Color backcolor)` Sets the chart background color.
    `void` | `setBackgroundAlpha(java.lang.Float backgroundAlpha)` Sets the transparency factor for this plot background.
    `void` | `setForegroundAlpha(java.lang.Float foregroundAlpha)` Sets the transparency factor for this plot foreground.
    `void` | `setLabelRotation(java.lang.Double labelRotation)` Deprecated. Replaced by `JRCategoryAxisFormat.setCategoryAxisTickLabelRotation(Double)`.
    `void` | `setOrientation(org.jfree.chart.plot.PlotOrientation orientation)` Deprecated. Replaced by `setOrientation(PlotOrientationEnum)`.
    `void` | `setOrientation(PlotOrientationEnum orientationValue)` Sets the plot orientation (horizontal or vertical).
    `void` | `setSeriesColors(java.util.Collection<JRChartPlot.JRSeriesColor> colors)` Set the list of series colors.

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRChartPlot

      `collectExpressions`

- - ### Field Detail

    - #### PROPERTY_BACKCOLOR

          public static final java.lang.String PROPERTY_BACKCOLOR

      See Also:
        Constant Field Values

    - #### PROPERTY_BACKGROUND_ALPHA

          public static final java.lang.String PROPERTY_BACKGROUND_ALPHA

      See Also:
        Constant Field Values

    - #### PROPERTY_FOREGROUND_ALPHA

          public static final java.lang.String PROPERTY_FOREGROUND_ALPHA

      See Also:
        Constant Field Values

    - #### PROPERTY_LABEL_ROTATION

          public static final java.lang.String PROPERTY_LABEL_ROTATION

      See Also:
        Constant Field Values

    - #### PROPERTY_ORIENTATION

          public static final java.lang.String PROPERTY_ORIENTATION

      See Also:
        Constant Field Values

    - #### PROPERTY_SERIES_COLORS

          public static final java.lang.String PROPERTY_SERIES_COLORS

      See Also:
        Constant Field Values

    - #### chart

          protected JRChart chart

    - #### backcolor

          protected java.awt.Color backcolor

    - #### orientationValue

          protected PlotOrientationEnum orientationValue

    - #### backgroundAlphaFloat

          protected java.lang.Float backgroundAlphaFloat

    - #### foregroundAlphaFloat

          protected java.lang.Float foregroundAlphaFloat

    - #### labelRotationDouble

          protected java.lang.Double labelRotationDouble

    - #### seriesColors

          protected java.util.SortedSet<JRChartPlot.JRSeriesColor> seriesColors

  - ### Constructor Detail

    - #### JRBaseChartPlot

          protected JRBaseChartPlot(JRChartPlot plot,
                         JRChart chart)

    - #### JRBaseChartPlot

          protected JRBaseChartPlot(JRChartPlot plot,
                         JRBaseObjectFactory factory)

  - ### Method Detail

    - #### getChart

          public JRChart getChart()

      Description copied from interface: `JRChartPlot`
      Gets the chart associated with this chart plot, if available. Implementations can return null on this method, especially if the chart plot is reused by multiple charts, which is not recommended since it prevents style properties inheritence from parent chart.
      Specified by:
        `getChart` in interface `JRChartPlot`

    - #### getBackcolor

          public java.awt.Color getBackcolor()

      Description copied from interface: `JRChartPlot`
      Gets the chart background color.
      Specified by:
        `getBackcolor` in interface `JRChartPlot`

    - #### getOwnBackcolor

          public java.awt.Color getOwnBackcolor()

      Specified by:
        `getOwnBackcolor` in interface `JRChartPlot`

    - #### setBackcolor

          public void setBackcolor(java.awt.Color backcolor)

      Description copied from interface: `JRChartPlot`
      Sets the chart background color.
      Specified by:
        `setBackcolor` in interface `JRChartPlot`

    - #### getOrientation

          public org.jfree.chart.plot.PlotOrientation getOrientation()

      Deprecated. Replaced by `getOrientationValue()`.
      Specified by:
        `getOrientation` in interface `JRChartPlot`

    - #### getOrientationValue

          public PlotOrientationEnum getOrientationValue()

      Description copied from interface: `JRChartPlot`
      Gets the plot orientation (horizontal or vertical).
      Specified by:
        `getOrientationValue` in interface `JRChartPlot`

    - #### setOrientation

          public void setOrientation(org.jfree.chart.plot.PlotOrientation orientation)

      Deprecated. Replaced by `setOrientation(PlotOrientationEnum)`.
      Specified by:
        `setOrientation` in interface `JRChartPlot`

    - #### setOrientation

          public void setOrientation(PlotOrientationEnum orientationValue)

      Description copied from interface: `JRChartPlot`
      Sets the plot orientation (horizontal or vertical).
      Specified by:
        `setOrientation` in interface `JRChartPlot`

    - #### getBackgroundAlphaFloat

          public java.lang.Float getBackgroundAlphaFloat()

      Description copied from interface: `JRChartPlot`
      Gets the transparency factor for this plot background. The range is from 0 to 1, where 0 means transparent and 1 opaque. The default is 1.
      Specified by:
        `getBackgroundAlphaFloat` in interface `JRChartPlot`
      Returns:
        a float value between 0 and 1.

    - #### setBackgroundAlpha

          public void setBackgroundAlpha(java.lang.Float backgroundAlpha)

      Description copied from interface: `JRChartPlot`
      Sets the transparency factor for this plot background. The range is from 0 to 1, where 0 means transparent and 1 opaque. The default is 1.
      Specified by:
        `setBackgroundAlpha` in interface `JRChartPlot`

    - #### getForegroundAlphaFloat

          public java.lang.Float getForegroundAlphaFloat()

      Description copied from interface: `JRChartPlot`
      Gets the transparency factor for this plot foreground. The range is from 0 to 1, where 0 means transparent and 1 opaque. The default is 1.
      Specified by:
        `getForegroundAlphaFloat` in interface `JRChartPlot`
      Returns:
        a float value between 0 and 1.

    - #### setForegroundAlpha

          public void setForegroundAlpha(java.lang.Float foregroundAlpha)

      Description copied from interface: `JRChartPlot`
      Sets the transparency factor for this plot foreground. The range is from 0 to 1, where 0 means transparent and 1 opaque. The default is 1.
      Specified by:
        `setForegroundAlpha` in interface `JRChartPlot`

    - #### getLabelRotationDouble

          public java.lang.Double getLabelRotationDouble()

      Deprecated. Replaced by `JRCategoryAxisFormat.getCategoryAxisTickLabelRotation()`.
      Gets the angle in degrees to rotate the data axis labels. The range is -360 to 360. A positive value angles the label so it reads downwards wile a negative value angles the label so it reads upwards. Only charts that use a category based axis (such as line or bar charts) support label rotation.
      Specified by:
        `getLabelRotationDouble` in interface `JRChartPlot`

    - #### setLabelRotation

          public void setLabelRotation(java.lang.Double labelRotation)

      Deprecated. Replaced by `JRCategoryAxisFormat.setCategoryAxisTickLabelRotation(Double)`.
      Sets the angle in degrees to rotate the data axis labels. The range is -360 to 360. A positive value angles the label so it reads downwards wile a negative value angles the label so it reads upwards. Only charts that use a category based axis (such as line or bar charts) support label rotation.
      Specified by:
        `setLabelRotation` in interface `JRChartPlot`

    - #### getSeriesColors

          public java.util.SortedSet<JRChartPlot.JRSeriesColor> getSeriesColors()

      Returns a list of all the defined series colors. Every entry in the list is of type JRChartPlot.JRSeriesColor. If there are no defined series colors this method will return an empty list, not null.
      Specified by:
        `getSeriesColors` in interface `JRChartPlot`

    - #### clearSeriesColors

          public void clearSeriesColors()

      Removes all defined series colors.
      Specified by:
        `clearSeriesColors` in interface `JRChartPlot`

    - #### addSeriesColor

          public void addSeriesColor(JRChartPlot.JRSeriesColor seriesColor)

      Adds the specified series color to the plot.
      Specified by:
        `addSeriesColor` in interface `JRChartPlot`

    - #### setSeriesColors

          public void setSeriesColors(java.util.Collection<JRChartPlot.JRSeriesColor> colors)

      Description copied from interface: `JRChartPlot`
      Set the list of series colors.
      Specified by:
        `setSeriesColors` in interface `JRChartPlot`
      Parameters:
        `colors` - the list of series colors (`JRChartPlot.JRSeriesColor` instances}

    - #### clone

          public java.lang.Object clone()

      Specified by:
        `clone` in interface `JRCloneable`
      Overrides:
        `clone` in class `java.lang.Object`

    - #### clone

          public java.lang.Object clone(JRChart parentChart)

      Specified by:
        `clone` in interface `JRChartPlot`

    - #### getEventSupport

          public JRPropertyChangeSupport getEventSupport()

      Description copied from interface: `JRChangeEventsSupport`
      Returns the property change support object for this instance.
      Specified by:
        `getEventSupport` in interface `JRChangeEventsSupport`
      Returns:
        the property change support object for this instance

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com